/********************************************************
*
* goodpixelcount.cc	XMM Science Analysis System (SAS)
*
* Task interface to the PixelCounter class of routines.
*
* (c) 2008 ESA - Written by Hubert Chen, CEA Saclay
*
* $Id: goodpixelcount.cc,v 0.5 2008/10/28 15:06:30 cmhchen Exp $
*
********************************************************/

// C++ global:
#include "goodpixelcount.h"
	// automatically generated; main() needs this.
// Implementation specific:
#include "PixelCounter.h"

/** SAS task giving access to the PixelCounter class. */
void goodpixelcount() {
  const string expr = stringParameter("expression");
  const bool corner_flag = booleanParameter("corner");
  if ((corner_flag) || (expr != ""))
    PixelCounter::printGoodPixelCount( stringParameter("eventset"),
					expr,
					corner_flag );
  else
    PixelCounter::writeGoodPixelCount( stringParameter("eventset") );
} // void goodpixelcount()

/*
$Log: goodpixelcount.cc,v $
Revision 0.5  2008/10/28 15:06:30  cmhchen
Inserted '#include "goodpixelcount.h"' macro previously in PixelCounter.h .

Revision 0.4  2008/10/23 16:35:19  cmhchen
First revision with a working PixelCounter and task goodpixelcount.
New class AnomalousStateFinder and task emtaganomalous.

Revision 0.3  2008/09/23 15:16:44  cmhchen
This revision accepts a user-input selectlib-style expression for filtering,
in addition to discounting bad pixels based on the BADPIX0n extensions.
It counts in integral DETX/Y coordinates, covering all pixels on any CCD.
Works in principle, but looping through all 7 x 12000^2 DETX/Y takes forever.

Revision 0.2  2008/09/09 15:48:33  cmhchen
Restructured code from previous version to formal class PixelCounter.
The bulk of what used to be here is now in PixelCounter.cc .
There should be no change in functionality whatsoever.

Revision 0.1  2008/09/05 18:02:37  cmhchen
First sandbox version that does bad pixel filtering based on BADPIXnn.
Pixel counts are written to file header in PIXCOORD1 (RAWX/Y).

*/
